
Database - Bug #2807

LDBNAME can work with an unopen buffer

10/31/2015 04:47 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/31/2015 04:50 AM - Constantin Asofiei

The ldbname function (and maybe others?) work in 4GL with an not-yet-opened buffer:

message ldbname(buffer book).

 

This fails in P2J as the buffer is inactive.

This is needed for the GUI demo.

#2 - 10/31/2015 03:01 PM - Eric Faulhaber

A proposed fix is in 2677a/10996. It resolves the above test case, but has not been regression tested.

#3 - 10/31/2015 03:01 PM - Eric Faulhaber

- Status changed from New to Test

- Assignee set to Eric Faulhaber

- Target version set to Milestone 12

#4 - 03/01/2016 06:48 PM - Eric Faulhaber

- % Done changed from 0 to 100

- Status changed from Test to Closed

This fix was merged to the P2J trunk in revision 10952.

#5 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
